wxWidgets: wxExtHelpController Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxExtHelpController Class Reference
Class List by Category » Help

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/generic/helpext.h>`

Inheritance diagram for wxExtHelpController:
[legend]

## Detailed Description

This class implements help via an external browser.

It requires the name of a directory containing the documentation and a file mapping numerical Section numbers to relative URLS.

The map file contains two or three fields per line: numeric_id relative_URL [; comment/documentation]

The numeric_id is the id used to look up the entry in DisplaySection()/DisplayBlock(). The relative_URL is a filename of an html file, relative to the help directory. The optional comment/documentation field (after a ';') is used for keyword searches, so some meaningful text here does not hurt. If the documentation itself contains a ';', only the part before that will be displayed in the listbox, but all of it used for search.

Lines starting with ';' will be ignored.

##

Library: wxAdvanced

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxHelpController

## Public Member Functions
| wxExtHelpController (wxWindow *parentWindow=NULL)
virtual | ~wxExtHelpController ()
virtual void | SetViewer (const wxString &viewer=wxEmptyString, long flags=wxHELP_NETSCAPE)
| Tell it which browser to use. More...
virtual bool | Initialize (const wxString &dir)
| This must be called to tell the controller where to find the documentation. More...
virtual bool | LoadFile (const wxString &file=wxEmptyString)
| If file is "", reloads file given in Initialize. More...
virtual bool | DisplayContents ()
| Display list of all help entries. More...
virtual bool | DisplaySection (int sectionNo)
| Display help for id sectionNo. More...
virtual bool | DisplaySection (const wxString &section)
| Display help for id sectionNo – identical with DisplaySection(). More...
virtual bool | DisplayBlock (long blockNo)
| Display help for URL (using DisplayHelp) or keyword (using KeywordSearch) More...
virtual bool | KeywordSearch (const wxString &k, wxHelpSearchMode mode=wxHELP_SEARCH_ALL)
| Search comment/documentation fields in map file and present a list to chose from. More...
virtual bool | Quit ()
| Does nothing. More...
virtual void | OnQuit ()
| Does nothing. More...
virtual bool | DisplayHelp (const wxString &relativeURL)
| Call the browser using a relative URL. More...
virtual void | SetFrameParameters (const wxString &titleFormat, const wxSize &size, const wxPoint &pos=wxDefaultPosition, bool newFrameEachTime=false)
| Allows one to override the default settings for the help frame. More...
virtual wxFrame * | GetFrameParameters (wxSize *size=NULL, wxPoint *pos=NULL, bool *newFrameEachTime=NULL)
| Obtains the latest settings used by the help frame and the help frame. More...
Public Member Functions inherited from wxHelpControllerBase
| wxHelpControllerBase (wxWindow *parentWindow=NULL)
| Constructs a help instance object, but does not invoke the help viewer. More...
| ~wxHelpControllerBase ()
| Destroys the help instance, closing down the viewer if it is running. More...
virtual bool | DisplayContextPopup (int contextId)
| Displays the section as a popup window using a context id. More...
virtual bool | DisplayTextPopup (const wxString &text, const wxPoint &pos)
| Displays the text in a popup window, if possible. More...
virtual wxWindow * | GetParentWindow () const
| Returns the window to be used as the parent for the help window. More...
virtual bool | Initialize (const wxString &file, int server)
virtual void | SetParentWindow (wxWindow *parentWindow)
| Sets the window to be used as the parent for the help window. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxExtHelpController()

wxExtHelpController::wxExtHelpController | ( | wxWindow * | parentWindow = `NULL` | ) |

## ◆ ~wxExtHelpController()

virtual wxExtHelpController::~wxExtHelpController | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ DisplayBlock()

virtual bool wxExtHelpController::DisplayBlock | ( | long | blockNo | ) |
| virtual

Display help for URL (using DisplayHelp) or keyword (using KeywordSearch)

Returns
  true on success

Implements wxHelpControllerBase.

## ◆ DisplayContents()

virtual bool wxExtHelpController::DisplayContents | ( |  | ) |
| virtual

Display list of all help entries.

Returns
  true on success

Implements wxHelpControllerBase.

## ◆ DisplayHelp()

virtual bool wxExtHelpController::DisplayHelp | ( | const wxString & | relativeURL | ) |
| virtual

Call the browser using a relative URL.

## ◆ DisplaySection() [1/2]

virtual bool wxExtHelpController::DisplaySection | ( | const wxString & | section | ) |
| virtual

Display help for id sectionNo – identical with DisplaySection().

Returns
  true on success

Reimplemented from wxHelpControllerBase.

## ◆ DisplaySection() [2/2]

virtual bool wxExtHelpController::DisplaySection | ( | int | sectionNo | ) |
| virtual

Display help for id sectionNo.

Returns
  true on success

Implements wxHelpControllerBase.

## ◆ GetFrameParameters()

virtual wxFrame* wxExtHelpController::GetFrameParameters | ( | wxSize * | size = `NULL`,
|  | wxPoint * | pos = `NULL`,
|  | bool * | newFrameEachTime = `NULL`
| ) |  |
| virtual

Obtains the latest settings used by the help frame and the help frame.

Reimplemented from wxHelpControllerBase.

## ◆ Initialize()

virtual bool wxExtHelpController::Initialize | ( | const wxString & | dir | ) |
| virtual

This must be called to tell the controller where to find the documentation.

If a locale is set, look in file/localename, i.e. If passed "/usr/local/myapp/help" and the current wxLocale is set to be "de", then look in "/usr/local/myapp/help/de/" first and fall back to "/usr/local/myapp/help" if that doesn't exist.

Parameters

  dir | directory name where to fine the help files

Returns
  true on success

Reimplemented from wxHelpControllerBase.

## ◆ KeywordSearch()

virtual bool wxExtHelpController::KeywordSearch | ( | const wxString & | k,
|  | wxHelpSearchMode | mode = `wxHELP_SEARCH_ALL`
| ) |  |
| virtual

Search comment/documentation fields in map file and present a list to chose from.

Parameters

  k | string to search for, empty string will list all entries
  mode | optional parameter allows the search the index (wxHELP_SEARCH_INDEX) but this currently only supported by the wxHtmlHelpController.

Returns
  true on success

Implements wxHelpControllerBase.

## ◆ LoadFile()

virtual bool wxExtHelpController::LoadFile | ( | const wxString & | file = `wxEmptyString` | ) |
| virtual

If file is "", reloads file given in Initialize.

Parameters

  file | Name of help directory.

Returns
  true on success

Implements wxHelpControllerBase.

## ◆ OnQuit()

virtual void wxExtHelpController::OnQuit | ( |  | ) |
| virtual

Does nothing.

Reimplemented from wxHelpControllerBase.

## ◆ Quit()

virtual bool wxExtHelpController::Quit | ( |  | ) |
| virtual

Does nothing.

Implements wxHelpControllerBase.

## ◆ SetFrameParameters()

virtual void wxExtHelpController::SetFrameParameters | ( | const wxString & | titleFormat,
|  | const wxSize & | size,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | bool | newFrameEachTime = `false`
| ) |  |
| virtual

Allows one to override the default settings for the help frame.

Reimplemented from wxHelpControllerBase.

## ◆ SetViewer()

virtual void wxExtHelpController::SetViewer | ( | const wxString & | viewer = `wxEmptyString`,
|  | long | flags = `wxHELP_NETSCAPE`
| ) |  |
| virtual

Tell it which browser to use.

The Netscape support will check whether Netscape is already running (by looking at the .netscape/lock file in the user's home directory) and tell it to load the page into the existing window.

Parameters

  viewer | The command to call a browser/html viewer.
  flags | Set this to wxHELP_NETSCAPE if the browser is some variant of Netscape.

Reimplemented from wxHelpControllerBase.